unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, RVStyle, RVScroll,
  RichView;

type
  TForm1 = class(TForm)
    RV: TRichView;
    RVStyle1: TRVStyle;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
		procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
	private
		{ Private declarations }
	public
		{ Public declarations }
	end;

var
	Form1: TForm1;

implementation

uses
	RVTable;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
	Tbl: TRVTableItemInfo;
begin
	Tbl := TRVTableItemInfo.CreateEx(2, 5, RV.RVData);
	Tbl.MergeCells(0, 0, 4, 1, True);

	Tbl.Cells[0, 0].Clear;
	Tbl.Cells[0, 0].BestWidth := 200;
	Tbl.Cells[0, 0].AddNL('Test MergeCells', 2, 0);


	Tbl.Cells[1, 0].Clear;
	Tbl.Cells[1, 0].BestWidth := 150;
	Tbl.Cells[1, 0].AddNL('AddNL 1, Row 1, Cell 0', 0, 0);
	Tbl.Cells[1, 0].AddNL('AddNL 2, Row 1, Cell 0', 0, 0);
	Tbl.Cells[1, 0].AddNL('AddNL 3, Row 1, Cell 0', 0, 0);


	Tbl.Cells[1, 1].Clear;
	Tbl.Cells[1, 1].BestWidth := 10;

	Tbl.Cells[1, 2].Clear;
	Tbl.Cells[1, 2].BestWidth := 150;
	Tbl.Cells[1, 2].AddNL('AddNL 1, Row 1, Cell 2', 0, 0);
	Tbl.Cells[1, 2].AddNL('AddNL 2, Row 1, Cell 2', 0, 0);
	Tbl.Cells[1, 2].AddNL('AddNL 3, Row 1, Cell 2', 0, 0);

	Tbl.Cells[1, 3].Clear;
	Tbl.Cells[1, 3].BestWidth := 10;

	Tbl.Cells[1, 4].Clear;
	Tbl.Cells[1, 4].BestWidth := 150;
	Tbl.Cells[1, 4].AddNL('AddNL 1, Row 1, Cell 4', 0, 0);
	Tbl.Cells[1, 4].AddNL('AddNL 2, Row 1, Cell 4', 0, 0);
	Tbl.Cells[1, 4].AddNL('AddNL 3, Row 1, Cell 4', 0, 0);

	RV.AddItem('Tbl1', Tbl);
	RV.AddNL(' ', 0, 0);
	RV.Format;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
	RV.SaveRTF(ExtractFilePath(Application.ExeName) + 'SaveRTF.rtf', False);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
	RV.LoadRTF(ExtractFilePath(Application.ExeName) + 'SaveRTF.rtf');
	RV.Format;
end;

end.
